SELECT
person.pid AS 'HN',
CONCAT(ctitle.titlename,person.fname,' ',person.lname) AS 'ชื่อ - สกุล',
getAgeYearNum (person.birth,CURRENT_DATE()) AS 'อายุ',
person.rightno AS 'เลขบัตร',
person.birth AS 'ว/ด/ป เกิด',
personchronic.chroniccode AS 'โรคเรื้อรัง',
personchronic.datefirstdiag AS 'วินิจฉัยครั้งแรก',
personchronic.datedxfirst AS 'วันที่ติดตามล่าสุด',
personchronic.datedischart AS 'วันที่จำหน่าย',
CASE WHEN personchronic.typedischart = '01' THEN 'หาย'
WHEN personchronic.typedischart = '02' THEN 'ตาย'
WHEN personchronic.typedischart = '03' THEN 'ยังรักษาอยู่'
WHEN personchronic.typedischart = '04' THEN 'ไม่ทราบ'
WHEN personchronic.typedischart = '05' THEN 'รอการจำหน่าย'
WHEN personchronic.typedischart = '06' THEN 'ขาดการรักษา'
WHEN personchronic.typedischart = '07' THEN 'ครบการรักษา'
WHEN personchronic.typedischart = '08' THEN 'โรคอยู่ในภาวะสงบ'
WHEN personchronic.typedischart = '09' THEN 'ปฏิเสธการรักษา'
WHEN personchronic.typedischart = '10' THEN 'ออกจากพื้นที่' ELSE NULL END AS 'สาเหตุที่จำหน่าย',
CASE WHEN personchronic.cup THEN chospital.hosname ELSE NULL END AS 'รพ.ประจำ',
CASE WHEN personchronic.hospfirstdiag THEN chospital.hosname ELSE NULL END AS 'รพ.วินิจฉัยครั้งแรก',
personchronic.dateupdate AS 'D_Update'
FROM
person
INNER JOIN personchronic ON personchronic.pcucodeperson = person.pcucodeperson AND personchronic.pid = person.pid
left JOIN chospital ON personchronic.cup = chospital.hoscode
INNER JOIN ctitle ON person.prename = ctitle.titlecode
WHERE
person.typelive IN (1,3);